# $Revision: 1.28 $, $Date: 2002/09/27 17:20:40 $
Summary:	Dictionary database server
Summary(pl):	Serwer bazy sownikw
Name:		dictd
Version:	1.8.0
Release:	3
License:	GPL
Group:		Networking/Daemons
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-no_libnsl.patch
Patch1:		%{name}-opt.patch
Patch2:		%{name}-smp.patch
Patch3:		%{name}-ac253.patch
URL:		http://www.dict.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libltdl-devel
BuildRequires:	zlib-devel
PreReq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Server for the Dictionary Server Protocol (DICT), a TCP transaction
based query/response protocol that allows a client to access
dictionary definitions from a set of natural language dictionary
databases.

%description -l pl
Serwer dla Dictionary Server Protocol(DICT), bazujcego na TCP
protokou zapyta i odpowiedzi umoliwiajcego klientom na dostp do
definicji sownikowych z zestawu baz danych.

%package -n dict
Summary:	DICT Protocol Client
Summary(pl):	Klient protokou DICT
Group:		Applications/Networking

%description -n dict
Client for the Dictionary Server Protocol (DICT), a TCP transaction
based query/response protocol that provides access to dictionary
definitions from a set of natural language dictionary databases.

%description -n dict -l pl
Klient dla Dictionary Server Protocol(DICT), bazujcego na TCP
protokou zapyta i odpowiedzi umoliwiajcego klientom na dostp do
definicji sownikowych z zestawu baz danych.

%package -n dictzip
Summary:	Compress (or expand) files, allowing random access
Summary(pl):	Kompresja (i dekompresja) plikw pozwalajca na swobodny dostp
Group:		Applications/Archiving

%description -n dictzip
dictzip compresses files using the gzip(1) algorithm (LZ77) in a
manner which is completely compatible with the gzip file format. An
extension to the gzip file format (Extra Field, described in 2.3.1.1
of RFC 1952) allows extra data to be stored in the header of a
compressed file. Dictd, the DICT protocol dictionary server will make
use of this data to perform pseudo-random access on the file.

%description -n dictzip -l pl
dictzip kompresuje pliki korzystajc z zawartego w gzip(1) algorytmu
(LZ77) ktry jest cakowicie kompatybilny z formatem plikw gzip.
Rozszerzenie do formatu plikw gzip (pole dodatkowe, opisane w 2.3.1.1
RFC 1952) pozwalajcego na dodatkowe dane zapisane w nagwku
skompresowanego pliku. Dictd, serwer protokou DICT wykorzystuje te
dane do pseudo-swobodnego dostpu do pliku.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
cd libmaa
cp -f /usr/share/automake/config.* .
%{__aclocal}
%{__autoconf}
cd ..
CFLAGS="%{rpmcflags} -DUID_NOBODY=99 -DGID_NOBODY=99"
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig,%{name}},%{_bindir},%{_sbindir}} \
		$RPM_BUILD_ROOT{%{_datadir}/%{name},%{_mandir}/man{1,8}}

install dict dictzip $RPM_BUILD_ROOT%{_bindir}
install {dict,dictzip}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

echo "server localhost" > dict.conf
echo -e "access {\n\tallow localhost\n\tdeny *\n}\n" > %{name}-main.conf

install dict.conf $RPM_BUILD_ROOT%{_sysconfdir}
install dictd-main.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

mv -f doc/security.doc security.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
if [ -f /var/lock/subsys/%{name} ]; then
	/etc/rc.d/init.d/%{name} restart >&2
else
	echo "Run \"/etc/rc.d/init.d/%{name} start\" to start %{name} daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop >&2
	fi
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCE ChangeLog README* TODO dictd.conf example* security.txt
%ghost %{_sysconfdir}/%{name}.conf
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/%{name}/%{name}-main.conf
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/%{name}
%dir %{_datadir}/%{name}
%{_mandir}/man8/%{name}*

%files -n dict
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/dict.conf
%attr(755,root,root) %{_bindir}/dict
%{_mandir}/man1/dict.1*

%files -n dictzip
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dictzip
%{_mandir}/man1/dictzip.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dictd.spec,v $
Revision 1.28  2002/09/27 17:20:40  gotar
- changed dictd group from Daemons to Networking/Daemons,
- %config and %verify flags for autoregenerating
  %{_sysconfdir}/%{name}/%{name}-main.conf,
- release 3, STBR.

Revision 1.27  2002/09/17 22:38:37  qboosh
- killed subshell, added ac253 fix, refresh config.* (athlon-ready now)
- release 2

Revision 1.26  2002/09/17 14:04:45  undefine
- upgrade to 1.8.0
- requires libltdl (plugin support)
- new %doc
- patch to allow build on smp machines

Revision 1.25  2002/06/25 08:18:43  undefine
- upgrade to 1.7.1 - some bugfixes
- stbr

Revision 1.24  2002/05/21 23:12:56  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.23  2002/05/05 17:50:18  kloczek
- release 6.

Revision 1.22  2002/04/25 16:11:43  arturs
fixed a small typo

Revision 1.21  2002/02/23 01:47:49  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:12:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/25 23:02:21  undefine
- UID/GID=nobody
- release 5
- STBR

Revision 1.17  2001/11/17 20:35:18  qboosh
- opt,system-zlib patches: use optflags and system zlib
- BuildRequires: bison, zlib-devel
- fixed %%post (s/subsystem/subsys/)
- release 4

Revision 1.16  2001/11/07 16:05:43  kloczek
- added no_libnsl patch.

Revision 1.15  2001/11/07 15:03:37  kloczek
- standarize %preun and some cosmetics.

Revision 1.14  2001/10/22 15:42:38  undefine
- removed requires: /bin/cat /bin/ls

Revision 1.13  2001/10/19 14:48:58  undefine
- added BuildRequires: flex
- STB

Revision 1.12  2001/10/10 15:01:49  qboosh
- BuildRequires: autoconf, automake
- release 3

Revision 1.11  2001/09/24 12:19:38  qboosh
- base Prereq: /sbin/chkconfig

Revision 1.10  2001/08/31 14:15:46  undefine
- ac stuff
- remove DUID... i thing that this is unneeded.
- release 2
- STB

Revision 1.9  2001/07/26 05:42:06  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.6  2001/03/17 14:31:06  undefine
- update to 1.5.5
- polish description
- debug ready
- added /etc/dictd
- removed man compressing

Revision 1.5  2000/09/20 01:04:33  kloczek
- updated to 0.9.1,
- switch to using new autoconf/automake suit in %build and %install.

Revision 1.4  2000/08/14 09:17:49  mis
- /etc/dictd.conf is autogenerated from /etc/dictd/* files
- fixed configs perms
- fixed %post/%postun scripts
- release 3

Revision 1.3  2000/07/31 11:59:10  mis
- do not verify size, time and md5sum of config files
- release 2

Revision 1.2  2000/07/19 17:11:29  mis
- at this moment it finished

Revision 1.1  2000/07/10 13:54:48  mis
- initial version (from scratch); NFY (dictd.init needed)
